%{?nodejs_find_provides_and_requires}

%global packagename memwatch-next
%global enable_tests 1

Name:		nodejs-memwatch-next
Version:	0.3.0
Release:	1%{?dist}
Summary:	Keep an eye on your memory usage, and discover and isolate leaks

License:	WTFPL
URL:		https://github.com/marcominetti/node-memwatch
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches}

BuildRequires:	node-gyp
BuildRequires:	nodejs-packaging
BuildRequires:	npm(bindings)
BuildRequires:	npm(nan)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Keep an eye on your memory usage, and discover and isolate leaks.


%prep
%autosetup -n package

%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
%{_bindir}/node-gyp rebuild
rm -rf node_modules/

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/build
cp -pr package.json include.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
cp -p build/Release/memwatch.node \
	%{buildroot}%{nodejs_sitelib}/%{packagename}/build/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec tests.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 27 2017 Jared Smith <jsmith@fedoraproject.org> - 0.3.0-1
- Initial packaging
